Name:		gmime30
Version:	3.2.7
Release:	1
Summary:	Library for parsing and creating messages using MIME

License:	LGPLv2+
URL:		https://www.freshports.org/mail/gmime30
Source0:	https://download.gnome.org/sources/gmime/3.2/gmime-%{version}.tar.xz

BuildRequires:	vala gobject-introspection-devel gdb
BuildRequires:	libgpg-error-devel gpgme-devel glib2-devel
BuildRequires:	gtk-doc gpgme-devel gettext zlib-devel

%description
GMime is a set of utilities for parsing and creating messages using
the Multipurpose Internet Mail Extension (MIME).

%package	devel
Summary:	headers for gmime
Requires:	%{name} = %{version}-%{release}

%description	devel
headers for gmime30.

%package_help

%prep
rm -rf ${RPM_BUILD_ROOT}
%autosetup -n gmime-%{version} -p1

%build
%configure
%make_build

%install
%make_install
%delete_la_and_a

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS README
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/

%files devel
%defattr(-,root,root)
%{_includedir}/gmime-3.0/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0*
%{_datadir}/vala/

%files help
%{_datadir}/gtk-doc/

%changelog
* Wed Jan 20 2021 wangchen<wangchen137@huawei.com> - 3.2.7-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 3.2.7

* Thu Mar 19 2020 chengquan<chengquan3@huawei.com> - 3.2.0-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add necessary BuildRequires

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 3.2.0-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Thu Aug 15 2019 openEuler Builteam <buildteam@openeuler.org> - 3.2.0-2
- Package init
